/*  ~_~_~_~_~_~_~_~_~_~_~_~_
 Custom Overrides for SFAA 
~_~_~_~_~_~_~_~_~_~_~_~_ */
h1,
h2 {
    line-height: 1.1em;
}

.link-group-a-converted-to-div {
    color: #8f2117
}

[class*="CalloutArea"] .TextButton {
    display: block;
}

/* Responsive Video Embed */
.video-container {
    position: relative;
    padding-bottom: 56.25%;
    padding-top: 30px;
    height: 0;
    overflow: hidden;
}

.video-container iframe,
.video-container object,
.video-container embed {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

/* Fix weird padding on Responsive Toggle Button */
.navbar-toggle {
    padding: 6px !important;
}

/* Overrides for Home Page Sign in Form Button */
.home-page-sign-in-ipart input[type="submit"].TextButton.PrimaryButton {
    background-color: #241858;
    display: block;
    width: auto;
    margin: auto;
}

/* Home Page Twitter Feed */
.hp-twitter-feed {
    max-height: 600px;
    overflow: scroll;
    border: 1px solid #ccc;
}

/* Make OBO Link Visible */
.nav-auxiliary .obo-actions a {
    color: #8f2117
}

/* Remove Border from last footer nav item */
footer .UtilityNavigationList .NavigationUnorderedList>li:last-child>a {
    border: none;
}

/* vendor-directory-results */
.vendor-directory .rgMasterTable tr td:nth-child(2) {
    font-weight: bold;
}

.vendor-directory .rgMasterTable tr td:nth-child(3) {
    font-size: 80%;
    line-height: 1em;
}

/* Data Grid Table */
table.data-grid {
    margin-bottom: 1em;
}

table.data-grid tr * {
    padding: .5em;
    border: 1px solid #fff;
    background-color: #f9f9f9;
}

/*table.data-grid thead th:first-child {
 background-color:transparent;
 border:none;
}*/
table.data-grid thead th,
table.data-grid tbody tr td:first-child {
    font-size: .8em;
}

table.data-grid tr td:first-child {
    font-weight: bold;
}

table.data-grid tr td:not(:first-child) {
    text-align: center;
}




/* Special Announcement Banner */
/* .hidden {
    display: block;
} */

.announcement-banner-row > .container {
    max-width: 960px;
}

.announcement-banner-row {
    background: #F4F3FF;
    padding: 4rem 1rem;
    border: 8px solid white;
    border-left: none;
    border-right: none;
    background: url(/images/sfaa/wrapper/noise-50.png) #F4F3FF;
    box-shadow: 0 0 10px rgb(0 0 0 / 50%);
    margin-bottom:2rem;
}

.announcement-banner-row p {
    font-size: 16px;
}

.announcement-banner-row h1,h2,h3 {
    font-size: 28px;
}

.announcement-banner-row * {
    text-align: center;
    color: #241858
}

.announcement-banner-row.blue * {
    color: rgb(57, 115, 209);
}

.announcement-banner-row .red * {
    color: #8F2117;
}

.announcement-banner-row .green * {
    color: green;
}


/* Tip - June 26 Mods */


@media(min-width:767px){
    .navbar-collapse.nav-primary.collapse{
        display:block!important;
        height:auto!important;
    }
}

@media(max-width:767px){
    .header-container{
    /* display:flex;
        flex-direction:column;
    flex-wrap:wrap;
    .navbar-header.nav-auxiliary{
        /* display:flex; */
        order:1;
    }
    .header-logo-container{
        /* display:flex; */
        order:2;
    } */
    .RadMenu.RadMenu_SFAA.MainMenu{
       position:relative;
    }
    .navbar-collapse {
        &.collapsing {
            overflow: hidden;
        }
}
    
}

/* Staff Page */
.WebPartZone.staff-cards{
    display:flex;
    flex-wrap:wrap;
    column-gap:3rem;
    row-gap:3rem;
    justify-content: center;
    margin-bottom:4rem;
    
    & > .iMIS-WebPart{
        flex:0 0 240px;
        text-align:center;
        img{
            display:block;
            border:2px solid #fff;
            outline:5px solid #c05841;
            border-radius:50%;
        }
        h3{
            font-size:2rem;
        }
        h4{
            padding:.5rem;
            line-height:1.25em;
            font-size:1.5rem;
            color:#333;
            border-bottom:1px solid #e4e4e4;
        }
        a{
            display:block;
            text-decoration:none;
            transition:transform .25s ease;
            &:hover{
                transform:translateY(-3px);
            }
        }
        a[href*="mailto"]{
            &:before{
            font-family:fontawesome;
            content:"\f0e0";
            margin-right:.5rem;
            }        
        }
    }
}